Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextCursor.SelectionType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextCursor.SelectionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextCursor

    public static final class QTextCursor.SelectionType

extends java.lang.Enum
implements QtEnumerator

This enum describes the types of selection that can be applied with the `select()` function.

See Also:
  Serialized Form

Field Summary
`static QTextCursor.SelectionType` | `BlockUnderCursor` Selects the block of text under the cursor.
`static QTextCursor.SelectionType` | `Document` Selects the entire document.
`static QTextCursor.SelectionType` | `LineUnderCursor` Selects the line of text under the cursor.
`static QTextCursor.SelectionType` | `WordUnderCursor` Selects the word under the cursor.

Method Summary
`static QTextCursor.SelectionType` | `resolve(int value)` Returns the QTextCursor$SelectionType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCursor.SelectionType` | `valueOf(java.lang.String name)`
`static QTextCursor.SelectionType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WordUnderCursor

    public static final QTextCursor.SelectionType WordUnderCursor

  Selects the word under the cursor. If the cursor is not positioned within a string of selectable characters, no text is selected.

### LineUnderCursor

    public static final QTextCursor.SelectionType LineUnderCursor

  Selects the line of text under the cursor.

### BlockUnderCursor

    public static final QTextCursor.SelectionType BlockUnderCursor

  Selects the block of text under the cursor.

### Document

    public static final QTextCursor.SelectionType Document

  Selects the entire document.

Method Detail

### values

    public static QTextCursor.SelectionType[] values()

### valueOf

    public static QTextCursor.SelectionType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCursor.SelectionType resolve(int value)

  Returns the QTextCursor$SelectionType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD